package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag195;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT195Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT195Creator mt195Creator;

    public Tag20Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt195Creator = (MT195Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag20Value = mt195Creator.getTransactionReferenceNumber();
        mt195Creator.set("20", tag20Value);
    }
}
